Skip to content

Update Users

PATCH
/admin/users/{id}/
id
required
string
object
id
ID
integer
password
required
Password
string
>= 1 characters <= 128 characters
last_login
Last login
string format: date-time
is_superuser
Superuser status

Designates that this user has all permissions without explicitly assigning them.

boolean
username
required
Username

Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.

string
>= 1 characters <= 150 characters /^[\w.@+-]+$/
first_name
First name
string
<= 30 characters
last_name
Last name
string
<= 150 characters
email
Email address
string format: email
<= 254 characters
is_staff
Staff status

Designates whether the user can log into this admin site.

boolean
is_active
Active

Designates whether this user should be treated as active. Unselect this instead of deleting accounts.

boolean
date_joined
Date joined
string format: date-time
groups

The groups this user belongs to. A user will get all permissions granted to each of their groups.

Array<integer>
unique items
user_permissions

Specific permissions for this user.

Array<integer>
unique items
object
id
ID
integer
password
required
Password
string
>= 1 characters <= 128 characters
last_login
Last login
string format: date-time
is_superuser
Superuser status

Designates that this user has all permissions without explicitly assigning them.

boolean
username
required
Username

Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.

string
>= 1 characters <= 150 characters /^[\w.@+-]+$/
first_name
First name
string
<= 30 characters
last_name
Last name
string
<= 150 characters
email
Email address
string format: email
<= 254 characters
is_staff
Staff status

Designates whether the user can log into this admin site.

boolean
is_active
Active

Designates whether this user should be treated as active. Unselect this instead of deleting accounts.

boolean
date_joined
Date joined
string format: date-time
groups

The groups this user belongs to. A user will get all permissions granted to each of their groups.

Array<integer>
unique items
user_permissions

Specific permissions for this user.

Array<integer>
unique items